function toggleVisibility(listId) {
  fetch('/toggle_visibility/' + listId, {method: 'POST'})
    .then(response => response.json())
    .then(data => {
      const shareHeader = document.getElementById('share-header');
      const shareUrlSpan = document.getElementById('share-url');
      const copyBtn = document.getElementById('copyBtn');
      const toggleBtn = document.getElementById('toggleVisibilityBtn');

      if (data.is_public) {
        shareHeader.textContent = '🔗 Udostępnij link:';
        shareUrlSpan.style.display = 'inline';
        shareUrlSpan.textContent = data.share_url;
        copyBtn.disabled = false;
        toggleBtn.innerHTML = '🙈 Ukryj listę';
      } else {
        shareHeader.textContent = '🙈 Lista jest ukryta przed gośćmi';
        shareUrlSpan.style.display = 'none';
        copyBtn.disabled = true;
        toggleBtn.innerHTML = '👁️ Udostępnij ponownie';
      }
    });
}

function copyLink(link) {
  if (navigator.share) {
    navigator.share({
      title: 'Udostępnij moją listę',
      text: 'Zobacz tę listę!',
      url: link
    }).catch((error) => {
      console.error('Błąd podczas udostępniania', error);
      fallbackCopy(link);
    });
  } else {
    fallbackCopy(link);
  }
}

function shareLink(link) {
  if (navigator.share) {
    navigator.share({
      title: 'Udostępnij moją listę',
      text: 'Zobacz tę listę!',
      url: link
    })
    .catch((error) => {
      console.error('Błąd podczas udostępniania', error);
      alert('Nie udało się udostępnić linka');
    });
  } else {
    copyLink(link);
  }
}

function fallbackCopy(link) {
  navigator.clipboard.writeText(link).then(() => {
    alert('Link skopiowany do schowka!');
  });
}

function openList(link) {
  window.open(link, '_blank');
}